# 32/64bit spec
#
%define name	qpdfview
%define version	0.4.16
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Tabbed PDF viewer using the poppler library
Summary(de):	PDF Betrachter mit Tabs, der die poppler Bibliothek nutzt
URL:		https://launchpad.net/qpdfview
Group:		Office
License:	GPL v3
Source:		%{name}-%{version}.tar.xz
#-----------------------------------------
BuildRequires:	cups-devel
BuildRequires:	%{_lib}djvulibre-devel
BuildRequires:	magic-devel
BuildRequires:	poppler-qt4-devel
BuildRequires:	qt4-devel
BuildRequires:	libspectre-devel
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gnutls-devel
#-----------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
qpdfview is a tabbed PDF viewer using the poppler library.

%description -l de
qpdfview ist ein PDF Betrachter mit Tabs, der die poppler 
Bibliothek nutzt.


%prep
%setup -q

%build
%{_libdir}/qt4/bin/lrelease %{name}.pro
%qmake_qt4 \
PLUGIN_INSTALL_PATH="%{_libdir}/%{name}" \
%{name}.pro
%make

%install
%__rm -rf %buildroot
%makeinstall INSTALL_ROOT=%{buildroot}


desktop-file-install --vendor=""\
  --add-category="X-MandrivaLinux-Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf ${RPM_BUILD_ROOT}

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
# plugins
%{_mandir}/man1/%{name}.1.bz2
%{_libdir}/%{name}/*.so




%changelog
* Sun Nov 22 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.16-1pclos2015
- 0.4.16

* Wed Jun 24 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.15-1pclos2015
- 0.4.15

* Wed Feb 25 2015 ghostbunny <ghostbunny at gmx dot de> 0.4.14-1pclos2015
- 0.4.14

* Tue Nov 25 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.13-1pclos2014
- 0.4.13

* Sun Oct 12 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.12-1pclos2014
- 0.4.12
- add BR gnutls-devel

* Thu Oct 08 2014 bb <bb> 0.4.11.1-2pclos2014
- rebuild against updated poppler library

* Thu Jul 31 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.11.1-1pclos2014
- 0.4.11.1
- add BR desktop-file-utils

* Sun May 11 2014 ghostbunny <ghostbunny at gmx dot de> 0.4.10-1pclos2014
- 0.4.10
- add BR zlib-devel

